Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletSliderConstraint Class Reference

Inheritance diagram for BulletSliderConstraint:

List of all members.

## Public Member Functions
| BulletSliderConstraint (BulletRigidBodyNode const node_a, BulletRigidBodyNode const node_b, TransformState const frame_a, TransformState const frame_b, bool use_frame_a)
| BulletSliderConstraint (BulletRigidBodyNode const node_a, TransformState const frame_a, bool useFrame_a)
float | getAngularPos ()
float | getLinearPos ()
float | getLowerAngularLimit ()
float | getLowerLinearLimit ()
float | getMaxAngularMotorForce ()
float | getMaxLinearMotorForce ()
bool | getPoweredAngularMotor ()
bool | getPoweredLinearMotor ()
float | getTargetAngularMotorVelocity ()
float | getTargetLinearMotorVelocity ()
float | getUpperAngularLimit ()
float | getUpperLinearLimit ()
| setLowerAngularLimit (float value)
| setLowerLinearLimit (float value)
| setMaxAngularMotorForce (float max_force)
| setMaxLinearMotorForce (float max_force)
| setPoweredAngularMotor (bool on)
| setPoweredLinearMotor (bool on)
| setTargetAngularMotorVelocity (float target_velocity)
| setTargetLinearMotorVelocity (float target_velocity)
| setUpperAngularLimit (float value)
| setUpperLinearLimit (float value)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletSliderConstraint | ( | BulletRigidBodyNode const | node_a,
|  | BulletRigidBodyNode const | node_b,
|  | TransformState const | frame_a,
|  | TransformState const | frame_b,
|  | bool | use_frame_a
| ) |  |

BulletSliderConstraint | ( | BulletRigidBodyNode const | node_a,
|  | TransformState const | frame_a,
|  | bool | useFrame_a
| ) |  |

## Member Function Documentation

float getAngularPos | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletConstraint.

float getLinearPos | ( |  | ) |

float getLowerAngularLimit | ( |  | ) |

float getLowerLinearLimit | ( |  | ) |

float getMaxAngularMotorForce | ( |  | ) |

float getMaxLinearMotorForce | ( |  | ) |

bool getPoweredAngularMotor | ( |  | ) |

bool getPoweredLinearMotor | ( |  | ) |

float getTargetAngularMotorVelocity | ( |  | ) |

float getTargetLinearMotorVelocity | ( |  | ) |

float getUpperAngularLimit | ( |  | ) |

float getUpperLinearLimit | ( |  | ) |

setLowerAngularLimit | ( | float | value | ) |

setLowerLinearLimit | ( | float | value | ) |

setMaxAngularMotorForce | ( | float | max_force | ) |

setMaxLinearMotorForce | ( | float | max_force | ) |

setPoweredAngularMotor | ( | bool | on | ) |

setPoweredLinearMotor | ( | bool | on | ) |

setTargetAngularMotorVelocity | ( | float | target_velocity | ) |

setTargetLinearMotorVelocity | ( | float | target_velocity | ) |

setUpperAngularLimit | ( | float | value | ) |

setUpperLinearLimit | ( | float | value | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties